{
  buildGoModule,
  fetchFromGitHub,
  lib,
  ...
}:
buildGoModule rec {
  pname = "templ";
  version = "0.2.334";

  src = fetchFromGitHub {
    owner = "a-h";
    repo = "templ";
    rev = "v${version}";
    sha256 = "sha256-liELstdoh0/KaOY8TnjCmTgp2CYWk9rZnMuK1RUb3OM=";
  };

  vendorSha256 = "sha256-7QYF8BvLpTcDstkLWxR0BgBP0NUlJ20IqW/nNqMSBn4=";

  ldflags = ["-s" "-w" "-X=github.com/a-h/templ.Version=${version}"];

  subPackages = ["cmd/templ"];

  meta = with lib; {
    description = "A language for writing HTML user interfaces in Go. ";
    homepage = "https://github.com/a-h/templ";
    license = licenses.mit;
    mainProgram = "templ";
  };
}
